ReferenceAPI referenceRepositories
Approve or reject a Repository Context suggestion
Requires ADMIN or SUPER_USER. Approval creates or enables the existing Repository Context binding.
POST
/organizations/{organization_id}/repositories/{repository_id}/context-suggestions/{suggestion_id}/decisionRequires ADMIN or SUPER_USER. Approval creates or enables the existing Repository Context binding.
tasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128repository_id*string
Length
1 <= length <= 128suggestion_id*string
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/string/repositories/string/context-suggestions/string/decision" \ -H "Content-Type: application/json" \ -d '{ "decision": "APPROVED" }'{ "data": { "id": "string", "organization_id": "string", "primary_repository_id": "string", "secondary_repository_id": "string", "secondary_owner": "string", "secondary_name": "string", "state": "PROPOSED", "source": "string", "reason": "string", "access_valid": true, "proposed_at": "2019-08-24T14:15:22Z", "decided_by": "string", "decided_at": "2019-08-24T14:15:22Z" }}